Bug 11219 - eliminate DeprecatedStringList
Summary: eliminate DeprecatedStringList
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 420+
Hardware: Macintosh OS X 10.4
: P2 Normal
Assignee: Darin Adler
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-08 08:59 PDT by Darin Adler
Modified: 2008-02-18 19:09 PST (History)
2 users (show)

See Also:


Attachments
work in progress, maybe Anders can use some of this (52.46 KB, patch)
2006-10-08 09:36 PDT, Darin Adler
no flags Details | Formatted Diff | Diff
first attempt (28.02 KB, patch)
2007-02-16 14:08 PST, Rob Buis
no flags Details | Formatted Diff | Diff
Improved patch (28.08 KB, patch)
2007-02-17 13:48 PST, Rob Buis
no flags Details | Formatted Diff | Diff
Improved patch II (28.01 KB, patch)
2007-02-18 05:46 PST, Rob Buis
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Darin Adler 2006-10-08 08:59:27 PDT
Bug for the last bits of DeprecatedStringList removal.
Comment 1 Darin Adler 2006-10-08 09:36:20 PDT
Created attachment 10982 [details]
work in progress, maybe Anders can use some of this

I was working on this for a while, but I moved to doing something else. Here's my work in progress in case it's useful.
Comment 2 Sam Weinig 2006-10-09 16:55:50 PDT
The parts of Darin's patch which deal with the Objective-C DOM bindings was landed in r16947.
Comment 3 Rob Buis 2007-02-16 14:08:31 PST
Created attachment 13205 [details]
first attempt

It seems this is all needed to remove DeprecatedStringList. There seem to be no regressions, but I hope someone familiar with the editing code can check.
Cheers,

Rob.
Comment 4 Rob Buis 2007-02-17 13:48:18 PST
Created attachment 13215 [details]
Improved patch

This patch has improved iterator logic, after a suggestion from Sam. Hopefully someone can performance test the patch :) All tests pass fine.
Cheers,

Rob.
Comment 5 Darin Adler 2007-02-17 16:47:17 PST
Comment on attachment 13205 [details]
first attempt

+        bool atParagraphEnd = nextTab == -1 || nextTab > paragraphEnd;

I believe this should be >=
Comment 6 Dave Hyatt 2007-02-18 04:11:17 PST
Should wait until after stabilization period I assume.

Comment 7 Rob Buis 2007-02-18 05:46:10 PST
Created attachment 13224 [details]
Improved patch II

I added Darin's suggestion. I am ok with waiting until the stabilization is over, so I didnt set the review flag.
Cheers,

Rob.
Comment 8 David Kilzer (:ddkilzer) 2007-02-18 06:37:32 PST
Comment on attachment 13224 [details]
Improved patch II

I think it's best to set the review? flag so this patch doesn't get lost.

Reviewers and committers should be reading the bug so that they understand it shouldn't be committed until after stabilization.
Comment 9 Dave Hyatt 2007-02-27 03:42:40 PST
I'd rather the flag be cleared personally.  This is like the sixth time I've stumbled into this bug while examining the list.

Comment 10 David Kilzer (:ddkilzer) 2007-02-27 19:57:59 PST
Comment on attachment 13224 [details]
Improved patch II

Clearing review per Comment #9.

Is there a way to search for these bugs once the flags are cleared?
Comment 11 Darin Adler 2008-02-18 19:09:24 PST
Sam fixed this today.